# requiresDestruction method

Future<bool> requiresDestruction(

1. Object pod,
2. Class podClass,
3. String name

)

Determine whether the given pod instance requires destruction by this post-processor.

The default implementation returns true.

## Parameters

- `pod`: The pod instance to check
- `podClass`: The class of the pod
- `name`: The name of the pod

## Return Value

Returns true if processBeforeDestruction should be called for this pod instance, false otherwise.

## Implementation

    Future<bool> requiresDestruction(Object pod, Class podClass, String name) async => true;